summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log630
-rw-r--r--jenkins/notify-init.log100
-rw-r--r--jenkins/run-build.env8
4 files changed, 258 insertions, 482 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 80eb30b..efee8a9 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#822-binutils-gcc-gdb-glibc-linux-R0
+#823-binutils-gcc-gdb-glibc-linux-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index bc424fc..d88d439 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -26,18 +26,18 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/821/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/821/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/'
-+ echo '# Using dir : artifacts'
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/'
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ case "$notify" in
@@ -91,7 +91,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xe7a293f376fef110ae59f5b9ae5bf0aaca68a4da '!=' xca86dbbdbc04fbe6298e597a3c94c8071ea722a1 ']'
+++ '[' x3bb1944a5a0527a38702084ac301d9933b0130bb '!=' xe7a293f376fef110ae59f5b9ae5bf0aaca68a4da ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -106,7 +106,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' xf83cfb8148bcf0876df76761a9a4545bc939667d '!=' x1bbb169fe6f91451a2754f0b86301551db76ceba ']'
+++ '[' xc4ac073d4fc7474e29d085bbd10971138ee7478e '!=' xf83cfb8148bcf0876df76761a9a4545bc939667d ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -121,9 +121,7 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ '[' xfbafc3e621c3f4ded43720fdb1d6ce1728ec664e '!=' x861deac3b092f37b2c5e6871732f3e11486f7082 ']'
-++ echo -ne ' linux'
-++ delim=' '
+++ '[' xfbafc3e621c3f4ded43720fdb1d6ce1728ec664e '!=' xfbafc3e621c3f4ded43720fdb1d6ce1728ec664e ']'
++ for c in $(print_updated_components)
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
@@ -136,7 +134,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xe65ca115151a5895d9c9ac81fdc137f0eed077ed '!=' x81be2a61dafc168327c1639e97b6dae128c7ccf3 ']'
+++ '[' xfce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c '!=' xe65ca115151a5895d9c9ac81fdc137f0eed077ed ']'
++ echo -ne ' glibc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -151,19 +149,19 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' xe7a293f376fef110ae59f5b9ae5bf0aaca68a4da '!=' xca86dbbdbc04fbe6298e597a3c94c8071ea722a1 ']'
+++ '[' x3bb1944a5a0527a38702084ac301d9933b0130bb '!=' xe7a293f376fef110ae59f5b9ae5bf0aaca68a4da ']'
++ echo -ne ' gdb'
++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
++ '[' 4 = 0 ']'
# Debug traces :
-+ '[' 5 = 0 ']'
-+ '[' 5 = 1 ']'
+# change_kind=multiple_components : binutils gcc glibc gdb
++ '[' 4 = 1 ']'
+ change_kind=multiple_components
+ changed_single_component=
+ echo '# Debug traces :'
-# change_kind=multiple_components : binutils gcc linux glibc gdb
-+ echo '# change_kind=multiple_components : binutils gcc linux glibc gdb'
++ echo '# change_kind=multiple_components : binutils gcc glibc gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -171,17 +169,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ git -C binutils rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+ c_commits=1
-# rev for binutils : ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da (1 commits)
-+ echo '# rev for binutils : ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da (1 commits)'
++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
+++ git -C binutils rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
++ c_commits=4
+# rev for binutils : e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb (4 commits)
++ echo '# rev for binutils : e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb (4 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -189,35 +187,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=1bbb169fe6f91451a2754f0b86301551db76ceba
++ base_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
-++ git -C gcc rev-list --count 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d
-+ c_commits=7
-# rev for gcc : 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d (7 commits)
-+ echo '# rev for gcc : 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d (7 commits)'
-+ for c in "${changed_components[@]}"
-++ get_baseline_git linux_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/linux_rev
-+ base_rev=861deac3b092f37b2c5e6871732f3e11486f7082
-++ get_current_git linux_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/linux_rev
-+ cur_rev=fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-++ git -C linux rev-list --count 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-+ c_commits=3
-# rev for linux : 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e (3 commits)
-+ echo '# rev for linux : 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e (3 commits)'
++ cur_rev=c4ac073d4fc7474e29d085bbd10971138ee7478e
+++ git -C gcc rev-list --count f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e
++ c_commits=14
+# rev for gcc : f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e (14 commits)
++ echo '# rev for gcc : f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e (14 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -225,17 +205,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ base_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
-++ git -C glibc rev-list --count 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
-+ c_commits=1
-# rev for glibc : 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed (1 commits)
-+ echo '# rev for glibc : 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed (1 commits)'
++ cur_rev=fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
+++ git -C glibc rev-list --count e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
++ c_commits=3
+# rev for glibc : e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c (3 commits)
++ echo '# rev for glibc : e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c (3 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -243,18 +223,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ git -C gdb rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+ c_commits=1
-# rev for gdb : ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da (1 commits)
++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
+++ git -C gdb rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
++ c_commits=4
+# rev for gdb : e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb (4 commits)
-+ echo '# rev for gdb : ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da (1 commits)'
++ echo '# rev for gdb : e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb (4 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -288,7 +268,7 @@
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 2337434
++ wait 1335323
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ true
+ calculate_results_date
@@ -304,21 +284,21 @@
++ assert_with_msg 'ERROR: No binutils in current git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ git -C binutils show --no-patch --pretty=%ct ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
-+ base_d=1703481090
+++ git -C binutils show --no-patch --pretty=%ct e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
++ base_d=1703548868
++ get_current_component_date binutils
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ git -C binutils show --no-patch --pretty=%ct e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+ cur_d=1703548868
-+ '[' x1703481090 '!=' x ']'
-+ '[' x1703548868 = x ']'
-+ '[' 1703548868 -lt 1703481090 ']'
-+ '[' x1703548868 = x ']'
-+ '[' 1703548868 -gt 0 ']'
-+ results_date=1703548868
+++ git -C binutils show --no-patch --pretty=%ct 3bb1944a5a0527a38702084ac301d9933b0130bb
++ cur_d=1703657183
++ '[' x1703548868 '!=' x ']'
++ '[' x1703657183 = x ']'
++ '[' 1703657183 -lt 1703548868 ']'
++ '[' x1703657183 = x ']'
++ '[' 1703657183 -gt 0 ']'
++ results_date=1703657183
+ for c in $(get_current_manifest "{rr[components]}")
++ get_baseline_component_date gcc
++ set -euf -o pipefail
@@ -326,21 +306,21 @@
++ assert_with_msg 'ERROR: No gcc in current git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ git -C gcc show --no-patch --pretty=%ct 1bbb169fe6f91451a2754f0b86301551db76ceba
-+ base_d=1703498814
+++ git -C gcc show --no-patch --pretty=%ct f83cfb8148bcf0876df76761a9a4545bc939667d
++ base_d=1703582141
++ get_current_component_date gcc
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ git -C gcc show --no-patch --pretty=%ct f83cfb8148bcf0876df76761a9a4545bc939667d
-+ cur_d=1703582141
-+ '[' x1703498814 '!=' x ']'
-+ '[' x1703582141 = x ']'
-+ '[' 1703582141 -lt 1703498814 ']'
-+ '[' x1703582141 = x ']'
-+ '[' 1703582141 -gt 1703548868 ']'
-+ results_date=1703582141
+++ git -C gcc show --no-patch --pretty=%ct c4ac073d4fc7474e29d085bbd10971138ee7478e
++ cur_d=1703668775
++ '[' x1703582141 '!=' x ']'
++ '[' x1703668775 = x ']'
++ '[' 1703668775 -lt 1703582141 ']'
++ '[' x1703668775 = x ']'
++ '[' 1703668775 -gt 1703657183 ']'
++ results_date=1703668775
+ for c in $(get_current_manifest "{rr[components]}")
++ get_baseline_component_date linux
++ set -euf -o pipefail
@@ -348,8 +328,8 @@
++ assert_with_msg 'ERROR: No linux in current git' '[' -f base-artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ git -C linux show --no-patch --pretty=%ct 861deac3b092f37b2c5e6871732f3e11486f7082
-+ base_d=1703377556
+++ git -C linux show --no-patch --pretty=%ct fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
++ base_d=1703541046
++ get_current_component_date linux
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No linux in current git' '[' -f artifacts/git/linux_rev ']'
@@ -357,11 +337,11 @@
+++ cat artifacts/git/linux_rev
++ git -C linux show --no-patch --pretty=%ct fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
+ cur_d=1703541046
-+ '[' x1703377556 '!=' x ']'
++ '[' x1703541046 '!=' x ']'
+ '[' x1703541046 = x ']'
-+ '[' 1703541046 -lt 1703377556 ']'
++ '[' 1703541046 -lt 1703541046 ']'
+ '[' x1703541046 = x ']'
-+ '[' 1703541046 -gt 1703582141 ']'
++ '[' 1703541046 -gt 1703668775 ']'
+ for c in $(get_current_manifest "{rr[components]}")
++ get_baseline_component_date glibc
++ set -euf -o pipefail
@@ -369,20 +349,20 @@
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 81be2a61dafc168327c1639e97b6dae128c7ccf3
-+ base_d=1703252237
+++ git -C glibc show --no-patch --pretty=%ct e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ base_d=1703534678
++ get_current_component_date glibc
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct e65ca115151a5895d9c9ac81fdc137f0eed077ed
-+ cur_d=1703534678
-+ '[' x1703252237 '!=' x ']'
-+ '[' x1703534678 = x ']'
-+ '[' 1703534678 -lt 1703252237 ']'
-+ '[' x1703534678 = x ']'
-+ '[' 1703534678 -gt 1703582141 ']'
+++ git -C glibc show --no-patch --pretty=%ct fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
++ cur_d=1703593627
++ '[' x1703534678 '!=' x ']'
++ '[' x1703593627 = x ']'
++ '[' 1703593627 -lt 1703534678 ']'
++ '[' x1703593627 = x ']'
++ '[' 1703593627 -gt 1703668775 ']'
+ for c in $(get_current_manifest "{rr[components]}")
++ get_baseline_component_date gdb
++ set -euf -o pipefail
@@ -390,32 +370,30 @@
++ assert_with_msg 'ERROR: No gdb in current git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ git -C gdb show --no-patch --pretty=%ct ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
-+ base_d=1703481090
+++ git -C gdb show --no-patch --pretty=%ct e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
++ base_d=1703548868
++ get_current_component_date gdb
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ git -C gdb show --no-patch --pretty=%ct e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+ cur_d=1703548868
-+ '[' x1703481090 '!=' x ']'
-+ '[' x1703548868 = x ']'
-+ '[' 1703548868 -lt 1703481090 ']'
-+ '[' x1703548868 = x ']'
-+ '[' 1703548868 -gt 1703582141 ']'
-+ assert_with_msg 'Failed to produce results_date' '[' 1703582141 -gt 0 ']'
+++ git -C gdb show --no-patch --pretty=%ct 3bb1944a5a0527a38702084ac301d9933b0130bb
++ cur_d=1703657183
++ '[' x1703548868 '!=' x ']'
++ '[' x1703657183 = x ']'
++ '[' 1703657183 -lt 1703548868 ']'
++ '[' x1703657183 = x ']'
++ '[' 1703657183 -gt 1703668775 ']'
++ assert_with_msg 'Failed to produce results_date' '[' 1703668775 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1703438989
-+ '[' 1703438989 '!=' '' ']'
-+ assert '[' 1703582141 -ge 1703438989 ']'
-+ set -euf -o pipefail +x
-+ '[' 1703582141 -gt 1703438989 ']'
-+ results_date=1703510565
-+ rr[results_date]=1703510565
++ base_d=1703510565
++ '[' 1703510565 '!=' '' ']'
++ '[' 1703668775 -gt 1703510565 ']'
++ results_date=1703589670
++ rr[results_date]=1703589670
+ cat
+ manifest_out
+ cat
@@ -426,8 +404,8 @@
+ return
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
+ '[' multiple_components '!=' single_commit ']'
+ return
@@ -458,10 +436,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 2337551
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 2337552
+++ wait 1335439
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231227 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1335440
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231227 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -484,9 +462,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -519,16 +497,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
+++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+++ git -C binutils rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ c_commits=1
-++ new_commits=1
+++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
++++ git -C binutils rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
+++ c_commits=4
+++ new_commits=4
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -536,33 +514,16 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=1bbb169fe6f91451a2754f0b86301551db76ceba
+++ base_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
-+++ git -C gcc rev-list --count 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d
-++ c_commits=7
-++ new_commits=8
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git linux_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/linux_rev
-++ base_rev=861deac3b092f37b2c5e6871732f3e11486f7082
-+++ get_current_git linux_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/linux_rev
-++ cur_rev=fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-+++ git -C linux rev-list --count 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-++ c_commits=3
-++ new_commits=11
+++ cur_rev=c4ac073d4fc7474e29d085bbd10971138ee7478e
++++ git -C gcc rev-list --count f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e
+++ c_commits=14
+++ new_commits=18
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
@@ -570,16 +531,16 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
+++ base_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
-+++ git -C glibc rev-list --count 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
-++ c_commits=1
-++ new_commits=12
+++ cur_rev=fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
++++ git -C glibc rev-list --count e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
+++ c_commits=3
+++ new_commits=21
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -587,20 +548,20 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
+++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+++ git -C gdb rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ c_commits=1
-++ new_commits=13
-+++ echo binutils gcc linux glibc gdb
+++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
++++ git -C gdb rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
+++ c_commits=4
+++ new_commits=25
++++ echo binutils gcc glibc gdb
+++ tr ' ' ,
-++ components=binutils,gcc,linux,glibc,gdb
-++ echo '13 commits in binutils,gcc,linux,glibc,gdb'
+++ components=binutils,gcc,glibc,gdb
+++ echo '25 commits in binutils,gcc,glibc,gdb'
++ '[' --oneline = --oneline ']'
++ return 0
++ gnu_print_result --oneline
@@ -610,10 +571,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 2337627
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 2337628
+++ wait 1335505
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231227 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231227 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1335506
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -652,17 +613,17 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' '13 commits in binutils,gcc,linux,glibc,gdb: PASS on aarch64'
++ echo '[Linaro-TCWG-CI]' '25 commits in binutils,gcc,glibc,gdb: PASS on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/821/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts
+ local key=
+ '[' multiple_components = single_commit ']'
+ cat
@@ -707,16 +668,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
+++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+++ git -C binutils rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ c_commits=1
-++ new_commits=1
+++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
++++ git -C binutils rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
+++ c_commits=4
+++ new_commits=4
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -724,33 +685,16 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=1bbb169fe6f91451a2754f0b86301551db76ceba
+++ base_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
-+++ git -C gcc rev-list --count 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d
-++ c_commits=7
-++ new_commits=8
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git linux_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/linux_rev
-++ base_rev=861deac3b092f37b2c5e6871732f3e11486f7082
-+++ get_current_git linux_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/linux_rev
-++ cur_rev=fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-+++ git -C linux rev-list --count 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-++ c_commits=3
-++ new_commits=11
+++ cur_rev=c4ac073d4fc7474e29d085bbd10971138ee7478e
++++ git -C gcc rev-list --count f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e
+++ c_commits=14
+++ new_commits=18
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
@@ -758,16 +702,16 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
+++ base_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
-+++ git -C glibc rev-list --count 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
-++ c_commits=1
-++ new_commits=12
+++ cur_rev=fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
++++ git -C glibc rev-list --count e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
+++ c_commits=3
+++ new_commits=21
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -775,20 +719,20 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
+++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+++ git -C gdb rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ c_commits=1
-++ new_commits=13
-+++ echo binutils gcc linux glibc gdb
+++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
++++ git -C gdb rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
+++ c_commits=4
+++ new_commits=25
++++ echo binutils gcc glibc gdb
+++ tr ' ' ,
-++ components=binutils,gcc,linux,glibc,gdb
-++ echo '13 commits in binutils,gcc,linux,glibc,gdb'
+++ components=binutils,gcc,glibc,gdb
+++ echo '25 commits in binutils,gcc,glibc,gdb'
++ '[' --short = --oneline ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git binutils_rev
@@ -797,18 +741,18 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
+++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+++ git -C binutils rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ c_commits=1
+++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
++++ git -C binutils rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
+++ c_commits=4
++ '[' '' '!=' '' ']'
-++ git -C binutils log -n 5 --oneline ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ '[' 1 -gt 5 ']'
+++ git -C binutils log -n 5 --oneline e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
+++ '[' 4 -gt 5 ']'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
@@ -817,39 +761,19 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=1bbb169fe6f91451a2754f0b86301551db76ceba
+++ base_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
-+++ git -C gcc rev-list --count 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d
-++ c_commits=7
+++ cur_rev=c4ac073d4fc7474e29d085bbd10971138ee7478e
++++ git -C gcc rev-list --count f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e
+++ c_commits=14
++ '[' '' '!=' '' ']'
-++ git -C gcc log -n 5 --oneline 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d
-++ '[' 7 -gt 5 ']'
-++ echo '... and 2 more commits in gcc'
-++ '[' '' '!=' '' ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git linux_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/linux_rev
-++ base_rev=861deac3b092f37b2c5e6871732f3e11486f7082
-+++ get_current_git linux_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/linux_rev
-++ cur_rev=fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-+++ git -C linux rev-list --count 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-++ c_commits=3
-++ '[' '' '!=' '' ']'
-++ git -C linux log -n 5 --oneline 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-++ '[' 3 -gt 5 ']'
+++ git -C gcc log -n 5 --oneline f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e
+++ '[' 14 -gt 5 ']'
+++ echo '... and 9 more commits in gcc'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
@@ -858,18 +782,18 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
+++ base_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
-+++ git -C glibc rev-list --count 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
-++ c_commits=1
+++ cur_rev=fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
++++ git -C glibc rev-list --count e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
+++ c_commits=3
++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
-++ '[' 1 -gt 5 ']'
+++ git -C glibc log -n 5 --oneline e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
+++ '[' 3 -gt 5 ']'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
@@ -878,18 +802,18 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
+++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+++ git -C gdb rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ c_commits=1
+++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
++++ git -C gdb rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
+++ c_commits=4
++ '[' '' '!=' '' ']'
-++ git -C gdb log -n 5 --oneline ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ '[' 1 -gt 5 ']'
+++ git -C gdb log -n 5 --oneline e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
+++ '[' 4 -gt 5 ']'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -899,10 +823,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 2337770
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 2337771
+++ wait 1335627
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231227 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231227 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1335628
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -933,27 +857,27 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
@@ -975,14 +899,14 @@
+ return
+ true
+ generate_jenkins_html_files
-+ wait 2337811
++ wait 1335668
+# generate_jenkins_html_files
+... Skipping
+ set -euf -o pipefail
+ echo '# generate_jenkins_html_files'
-# generate_jenkins_html_files
+ true
+ case "$ci_project" in
+ echo '... Skipping'
-... Skipping
+ return
+ generate_readme html
+ set -euf -o pipefail
@@ -1073,69 +997,13 @@
++ cd artifacts
++ find . -type f
++ sort
-++ print_readme_link html ./00-sumfiles/gdb.log.0.xz
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/gdb.log.0.xz
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/gdb.log.0.xz">./00-sumfiles/gdb.log.0.xz</a>'
-+ echo '<li><a href="./00-sumfiles/gdb.log.0.xz">./00-sumfiles/gdb.log.0.xz</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/gdb.log.1.xz
+++ print_readme_link html ./00-sumfiles/gdb.log.xz
++ set -euf -o pipefail
++ local text_type=html
-++ local msg=./00-sumfiles/gdb.log.1.xz
+++ local msg=./00-sumfiles/gdb.log.xz
++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/gdb.log.1.xz">./00-sumfiles/gdb.log.1.xz</a>'
-+ echo '<li><a href="./00-sumfiles/gdb.log.1.xz">./00-sumfiles/gdb.log.1.xz</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/gdb.log.2.xz
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/gdb.log.2.xz
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/gdb.log.2.xz">./00-sumfiles/gdb.log.2.xz</a>'
-+ echo '<li><a href="./00-sumfiles/gdb.log.2.xz">./00-sumfiles/gdb.log.2.xz</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/gdb.log.3.xz
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/gdb.log.3.xz
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/gdb.log.3.xz">./00-sumfiles/gdb.log.3.xz</a>'
-+ echo '<li><a href="./00-sumfiles/gdb.log.3.xz">./00-sumfiles/gdb.log.3.xz</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/gdb.sum.0
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/gdb.sum.0
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/gdb.sum.0">./00-sumfiles/gdb.sum.0</a>'
-+ echo '<li><a href="./00-sumfiles/gdb.sum.0">./00-sumfiles/gdb.sum.0</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/gdb.sum.1
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/gdb.sum.1
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/gdb.sum.1">./00-sumfiles/gdb.sum.1</a>'
-+ echo '<li><a href="./00-sumfiles/gdb.sum.1">./00-sumfiles/gdb.sum.1</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/gdb.sum.2
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/gdb.sum.2
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/gdb.sum.2">./00-sumfiles/gdb.sum.2</a>'
-+ echo '<li><a href="./00-sumfiles/gdb.sum.2">./00-sumfiles/gdb.sum.2</a>'
-+ read -r cur_file
-++ print_readme_link html ./00-sumfiles/gdb.sum.3
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./00-sumfiles/gdb.sum.3
-++ case $text_type in
-++ echo -n '<a href="./00-sumfiles/gdb.sum.3">./00-sumfiles/gdb.sum.3</a>'
-+ echo '<li><a href="./00-sumfiles/gdb.sum.3">./00-sumfiles/gdb.sum.3</a>'
+++ echo -n '<a href="./00-sumfiles/gdb.log.xz">./00-sumfiles/gdb.log.xz</a>'
++ echo '<li><a href="./00-sumfiles/gdb.log.xz">./00-sumfiles/gdb.log.xz</a>'
+ read -r cur_file
++ print_readme_link html ./01-reset_artifacts/console.log.xz
++ set -euf -o pipefail
@@ -1489,14 +1357,6 @@
++ echo -n '<a href="./results">./results</a>'
+ echo '<li><a href="./results">./results</a>'
+ read -r cur_file
-++ print_readme_link html ./sumfiles/flaky.xfail
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./sumfiles/flaky.xfail
-++ case $text_type in
-++ echo -n '<a href="./sumfiles/flaky.xfail">./sumfiles/flaky.xfail</a>'
-+ echo '<li><a href="./sumfiles/flaky.xfail">./sumfiles/flaky.xfail</a>'
-+ read -r cur_file
++ print_readme_link html ./sumfiles/gdb.sum
++ set -euf -o pipefail
++ local text_type=html
@@ -1604,69 +1464,13 @@
++ cd artifacts
++ find . -type f
++ sort
-++ print_readme_link txt ./00-sumfiles/gdb.log.0.xz
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/gdb.log.0.xz
-++ case $text_type in
-++ echo -n ./00-sumfiles/gdb.log.0.xz
-+ echo '- ./00-sumfiles/gdb.log.0.xz'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/gdb.log.1.xz
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/gdb.log.1.xz
-++ case $text_type in
-++ echo -n ./00-sumfiles/gdb.log.1.xz
-+ echo '- ./00-sumfiles/gdb.log.1.xz'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/gdb.log.2.xz
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/gdb.log.2.xz
-++ case $text_type in
-++ echo -n ./00-sumfiles/gdb.log.2.xz
-+ echo '- ./00-sumfiles/gdb.log.2.xz'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/gdb.log.3.xz
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/gdb.log.3.xz
-++ case $text_type in
-++ echo -n ./00-sumfiles/gdb.log.3.xz
-+ echo '- ./00-sumfiles/gdb.log.3.xz'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/gdb.sum.0
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/gdb.sum.0
-++ case $text_type in
-++ echo -n ./00-sumfiles/gdb.sum.0
-+ echo '- ./00-sumfiles/gdb.sum.0'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/gdb.sum.1
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/gdb.sum.1
-++ case $text_type in
-++ echo -n ./00-sumfiles/gdb.sum.1
-+ echo '- ./00-sumfiles/gdb.sum.1'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/gdb.sum.2
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./00-sumfiles/gdb.sum.2
-++ case $text_type in
-++ echo -n ./00-sumfiles/gdb.sum.2
-+ echo '- ./00-sumfiles/gdb.sum.2'
-+ read -r cur_file
-++ print_readme_link txt ./00-sumfiles/gdb.sum.3
+++ print_readme_link txt ./00-sumfiles/gdb.log.xz
++ set -euf -o pipefail
++ local text_type=txt
-++ local msg=./00-sumfiles/gdb.sum.3
+++ local msg=./00-sumfiles/gdb.log.xz
++ case $text_type in
-++ echo -n ./00-sumfiles/gdb.sum.3
-+ echo '- ./00-sumfiles/gdb.sum.3'
+++ echo -n ./00-sumfiles/gdb.log.xz
++ echo '- ./00-sumfiles/gdb.log.xz'
+ read -r cur_file
++ print_readme_link txt ./01-reset_artifacts/console.log.xz
++ set -euf -o pipefail
@@ -2028,14 +1832,6 @@
++ echo -n ./results
+ echo '- ./results'
+ read -r cur_file
-++ print_readme_link txt ./sumfiles/flaky.xfail
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./sumfiles/flaky.xfail
-++ case $text_type in
-++ echo -n ./sumfiles/flaky.xfail
-+ echo '- ./sumfiles/flaky.xfail'
-+ read -r cur_file
++ print_readme_link txt ./sumfiles/gdb.sum
++ set -euf -o pipefail
++ local text_type=txt
@@ -2057,49 +1853,49 @@
+ set -euf -o pipefail
+ local text_type=txt
+ case $text_type in
-+ echo '# generate dashboard'
# generate dashboard
++ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-+ echo '# generate_dashboard_squad'
# generate_dashboard_squad
+... Skipping
+# post_dashboard_squad
+... Skipping
++ echo '# generate_dashboard_squad'
+ false
+ echo '... Skipping'
-... Skipping
+ return
+ post_dashboard_squad
+ echo '# post_dashboard_squad'
-# post_dashboard_squad
+ false
+ echo '... Skipping'
-... Skipping
+ return
+ generate_lnt_report
-+ wait 2338101
++ wait 1335926
+ set -euf -o pipefail
+ local results_date
-+ echo '# generate_lnt_report'
# generate_lnt_report
++ echo '# generate_lnt_report'
+ true
+ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/lnt-utils.sh
++ declare is_first_lnt_entry
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1703510565
-++ date '+%Y-%m-%d %H:%M:%S' --date @1703510565
-+ results_date='2023-12-25 13:22:45'
++ results_date=1703589670
+++ date '+%Y-%m-%d %H:%M:%S' --date @1703589670
++ results_date='2023-12-26 11:21:10'
+ local jira_key=-
+ '[' -f artifacts/notify/jira/key ']'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/ tcwg_gnu_native_check_gdb master-aarch64 '2023-12-25 13:22:45' - artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/ tcwg_gnu_native_check_gdb master-aarch64 '2023-12-26 11:21:10' - artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/
+ local ci_project=tcwg_gnu_native_check_gdb
+ local ci_config=master-aarch64
-+ local 'results_date=2023-12-25 13:22:45'
++ local 'results_date=2023-12-26 11:21:10'
+ local jira_key=-
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
@@ -2110,18 +1906,18 @@
+ local lnt_testsuite=tcwg_gnu_native_check_gdb
+ local machine_name=master-aarch64
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/
-+ build_number=822
+++ basename https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/
++ build_number=823
+ set +x
-# release_testresults_files
-... Done
+ false
+ true
+ release_testresults_files
+ echo '# release_testresults_files'
+# release_testresults_files
+ '[' -d artifacts/jenkins ']'
+ '[' -f artifacts/testresults/testresults-mail-recipients.txt ']'
+ echo '... Done'
+... Done
+ post_to_jira
+ set -euf -o pipefail
+ echo '# post_to_jira'
@@ -2131,5 +1927,5 @@
+ false
+ false
+ false
-Full stage ran successfully.
+ echo 'Full stage ran successfully.'
+Full stage ran successfully.
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 78a078f..7c68532 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -10,8 +10,8 @@
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+ setup_notify_environment
-+ echo '# setup_notify_environment'
# setup_notify_environment
++ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -26,15 +26,15 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/821/
-# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/821/'
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/'
+ echo '# Using dir : base-artifacts'
+# Using dir : base-artifacts
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/822/'
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/823/'
+ echo '# Using dir : artifacts'
# Using dir : artifacts
@@ -91,7 +91,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xe7a293f376fef110ae59f5b9ae5bf0aaca68a4da '!=' xca86dbbdbc04fbe6298e597a3c94c8071ea722a1 ']'
+++ '[' x3bb1944a5a0527a38702084ac301d9933b0130bb '!=' xe7a293f376fef110ae59f5b9ae5bf0aaca68a4da ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -106,7 +106,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' xf83cfb8148bcf0876df76761a9a4545bc939667d '!=' x1bbb169fe6f91451a2754f0b86301551db76ceba ']'
+++ '[' xc4ac073d4fc7474e29d085bbd10971138ee7478e '!=' xf83cfb8148bcf0876df76761a9a4545bc939667d ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -121,9 +121,7 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ '[' xfbafc3e621c3f4ded43720fdb1d6ce1728ec664e '!=' x861deac3b092f37b2c5e6871732f3e11486f7082 ']'
-++ echo -ne ' linux'
-++ delim=' '
+++ '[' xfbafc3e621c3f4ded43720fdb1d6ce1728ec664e '!=' xfbafc3e621c3f4ded43720fdb1d6ce1728ec664e ']'
++ for c in $(print_updated_components)
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
@@ -136,7 +134,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xe65ca115151a5895d9c9ac81fdc137f0eed077ed '!=' x81be2a61dafc168327c1639e97b6dae128c7ccf3 ']'
+++ '[' xfce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c '!=' xe65ca115151a5895d9c9ac81fdc137f0eed077ed ']'
++ echo -ne ' glibc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -151,19 +149,19 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' xe7a293f376fef110ae59f5b9ae5bf0aaca68a4da '!=' xca86dbbdbc04fbe6298e597a3c94c8071ea722a1 ']'
+++ '[' x3bb1944a5a0527a38702084ac301d9933b0130bb '!=' xe7a293f376fef110ae59f5b9ae5bf0aaca68a4da ']'
++ echo -ne ' gdb'
++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 5 = 0 ']'
++ '[' 4 = 0 ']'
# Debug traces :
-# change_kind=multiple_components : binutils gcc linux glibc gdb
-+ '[' 5 = 1 ']'
+# change_kind=multiple_components : binutils gcc glibc gdb
++ '[' 4 = 1 ']'
+ change_kind=multiple_components
+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=multiple_components : binutils gcc linux glibc gdb'
++ echo '# change_kind=multiple_components : binutils gcc glibc gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -171,17 +169,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ git -C binutils rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+ c_commits=1
-# rev for binutils : ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da (1 commits)
-+ echo '# rev for binutils : ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da (1 commits)'
++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
+++ git -C binutils rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
++ c_commits=4
++ echo '# rev for binutils : e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb (4 commits)'
+# rev for binutils : e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb (4 commits)
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -189,35 +187,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=1bbb169fe6f91451a2754f0b86301551db76ceba
++ base_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=f83cfb8148bcf0876df76761a9a4545bc939667d
-++ git -C gcc rev-list --count 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d
-+ c_commits=7
-# rev for gcc : 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d (7 commits)
-+ echo '# rev for gcc : 1bbb169fe6f91451a2754f0b86301551db76ceba..f83cfb8148bcf0876df76761a9a4545bc939667d (7 commits)'
-+ for c in "${changed_components[@]}"
-++ get_baseline_git linux_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/linux_rev
-+ base_rev=861deac3b092f37b2c5e6871732f3e11486f7082
-++ get_current_git linux_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/linux_rev
-+ cur_rev=fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-++ git -C linux rev-list --count 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e
-+ c_commits=3
-# rev for linux : 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e (3 commits)
-+ echo '# rev for linux : 861deac3b092f37b2c5e6871732f3e11486f7082..fbafc3e621c3f4ded43720fdb1d6ce1728ec664e (3 commits)'
++ cur_rev=c4ac073d4fc7474e29d085bbd10971138ee7478e
+++ git -C gcc rev-list --count f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e
++ c_commits=14
+# rev for gcc : f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e (14 commits)
++ echo '# rev for gcc : f83cfb8148bcf0876df76761a9a4545bc939667d..c4ac073d4fc7474e29d085bbd10971138ee7478e (14 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -225,17 +205,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ base_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
-++ git -C glibc rev-list --count 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
-+ c_commits=1
-+ echo '# rev for glibc : 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed (1 commits)'
-# rev for glibc : 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed (1 commits)
++ cur_rev=fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
+++ git -C glibc rev-list --count e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
++ c_commits=3
+# rev for glibc : e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c (3 commits)
++ echo '# rev for glibc : e65ca115151a5895d9c9ac81fdc137f0eed077ed..fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c (3 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -243,18 +223,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=ca86dbbdbc04fbe6298e597a3c94c8071ea722a1
++ base_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-++ git -C gdb rev-list --count ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da
-+ c_commits=1
-# rev for gdb : ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da (1 commits)
++ cur_rev=3bb1944a5a0527a38702084ac301d9933b0130bb
+++ git -C gdb rev-list --count e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb
++ c_commits=4
+# rev for gdb : e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb (4 commits)
++ echo '# rev for gdb : e7a293f376fef110ae59f5b9ae5bf0aaca68a4da..3bb1944a5a0527a38702084ac301d9933b0130bb (4 commits)'
-+ echo '# rev for gdb : ca86dbbdbc04fbe6298e597a3c94c8071ea722a1..e7a293f376fef110ae59f5b9ae5bf0aaca68a4da (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -279,8 +259,8 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=init
+ '[' multiple_components '!=' single_commit ']'
+ return
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index c257652..821bf92 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#822"
+build_name="#823"
docker_opts=(--distro
default
--arch
arm64
--node
-tcwg-jade-06
+tcwg-jade-05
--security
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#822-binutils-gcc-gdb-glibc-linux"
+build_name="#823-binutils-gcc-gdb-glibc-linux"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master
==rr\[gcc_git\]
@@ -20,4 +20,4 @@ git://sourceware.org/git/binutils-gdb.git#master
git://sourceware.org/git/glibc.git#master
==rr\[linux_git\]
https://git.linaro.org/kernel-org/linux.git#master )
-build_name="#822-binutils-gcc-gdb-glibc-linux-R0"
+build_name="#823-binutils-gcc-gdb-glibc-linux-R0"